Module
Contents
Index 🔎︎
\<bookmark_value\>DefDate statement\</bookmark_value\>

# DefDate Statement

If no type-declaration character or keyword is specified, the DefDate statement sets the default variable type, according to a letter range.

## Syntax:

    Defxxx Characterrange1[, Characterrange2[,...]]

## Parameters:

\<emph\>Characterrange:\</emph\> Letters that specify the range of variables that you want to set the default data type for.

\<emph\>xxx:\</emph\> Keyword that defines the default variable type:

\<emph\>Keyword: \</emph\>Default variable type

\<emph\>DefDate:\</emph\> Date

## Example:

    REM Prefix definition for variable types:

    DefBool b

    DefDate t

    DefDbl d

    DefInt i

    DefLng l

    DefObj o

    DefVar v

    Sub ExampleDefDate

        tDate=Date REM tDate is an implicit date variable

    End Sub